[pkg-remote-commits] [xrdp] 01/07: Fixup PAM configuration file handling for jessie{, -backports} upgrades.

Thorsten Glaser tg at moszumanska.debian.org
Wed Jan 25 12:17:37 UTC 2017


This is an automated email from the git hooks/post-receive script.

tg pushed a commit to branch master
in repository xrdp.

commit 7b68cc6687078062e52226b5053dfa4b140a6697
Author: mirabilos <t.glaser at tarent.de>
Date:   Wed Jan 25 11:19:01 2017 +0100

    Fixup PAM configuration file handling for jessie{,-backports} upgrades.
---
 debian/changelog    |  6 ++++++
 debian/xrdp.preinst | 44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index ba3b044..b10eef1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+xrdp (0.9.1-4) unstable; urgency=high
+
+  * Fix up PAM conffile handling for upgrades from jessie{,-backports}.
+
+ -- Thorsten Glaser <tg at mirbsd.de>  Wed, 25 Jan 2017 11:18:26 +0100
+
 xrdp (0.9.1-3) unstable; urgency=medium
 
   * Fix up last changelog entry.
diff --git a/debian/xrdp.preinst b/debian/xrdp.preinst
new file mode 100644
index 0000000..9e73768
--- /dev/null
+++ b/debian/xrdp.preinst
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+set -e
+
+# This maintainer script can be called the following ways:
+#
+# * new-preinst "install" [$old_version]
+# * new-preinst "install" $old_version $new_version # 1.18.5, stretch
+# * new-preinst "upgrade" [$old_version]
+# * new-preinst "upgrade" $old_version $new_version # 1.18.5, stretch
+# * old-preinst "abort-upgrade" $new_version
+# Essential packages and Pre-Depends are available. Pre-Depends have
+# been configured once, but may be unpacked or Half-Configured only,
+# or, for "abort-upgrade", Half-Installed if their upgrade failed.
+
+case $1 in
+install|upgrade)
+	;;
+
+abort-upgrade)
+	;;
+
+*)
+	echo >&2 "preinst called with unknown subcommand '$1'"
+	exit 1
+	;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+# fixup conffiles after dpkg-maintscript-helper has run, for
+# upgrades from jessie and older jessie-backports
+if test -h /etc/pam.d/xrdp-sesman; then
+	rm -f /etc/pam.d/xrdp-sesman
+	if test -e /etc/pam.d/xrdp-sesman.dpkg-new; then
+		echo >&2 I: moving old xrdp PAM configuration file
+		mv -f /etc/pam.d/xrdp-sesman.dpkg-new /etc/pam.d/xrdp-sesman
+	fi
+fi
+
+exit 0

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-remote/xrdp.git



More information about the pkg-remote-commits mailing list